Loading...
Searching...
No Matches
l4_vcpu_regs_t Struct Reference
Base API » Kernel Objects » Thread » vCPU API

vCPU registers. More...

`#include <__vcpu-arch.h>`

Collaboration diagram for l4_vcpu_regs_t:

## Data Fields

l4_umword_t | pfa
| page fault address
l4_umword_t | err
| error code
l4_umword_t | sp
| stack pointer
l4_umword_t | ip
| instruction pointer
l4_umword_t | flags
| eflags
l4_umword_t | tpidruro
| Thread-ID register.
l4_umword_t | tpidrurw
| Thread-ID register.
l4_umword_t | r15
| r15 register
l4_umword_t | r14
| r14 register
l4_umword_t | r13
| r13 register
l4_umword_t | r12
| r12 register
l4_umword_t | r11
| r11 register
l4_umword_t | r10
| r10 register
l4_umword_t | r9
| r9 register
l4_umword_t | r8
| r8 register
l4_umword_t | di
| rdi register
l4_umword_t | si
| rsi register
l4_umword_t | bp
| rbp register
l4_umword_t | bx
| rbx register
l4_umword_t | dx
| rdx register
l4_umword_t | cx
| rcx register
l4_umword_t | ax
| rax register
l4_umword_t | trapno
| trap number
l4_umword_t | cs
| dummy
l4_umword_t | ss
| ss register
l4_umword_t | es
| es register
l4_umword_t | ds
| ds register
l4_umword_t | gs
| gs register
l4_umword_t | fs
| fs register
l4_umword_t | dummy1
| dummy

## Detailed Description

vCPU registers.

Definition at line 55 of file __vcpu-arch.h.

## Field Documentation

## ax

l4_umword_t l4_vcpu_regs_t::ax

rax register

eax register

Definition at line 77 of file __vcpu-arch.h.

## bp

l4_umword_t l4_vcpu_regs_t::bp

rbp register

ebp register

Definition at line 72 of file __vcpu-arch.h.

## bx

l4_umword_t l4_vcpu_regs_t::bx

rbx register

ebx register

Definition at line 74 of file __vcpu-arch.h.

## cx

l4_umword_t l4_vcpu_regs_t::cx

rcx register

ecx register

Definition at line 76 of file __vcpu-arch.h.

## di

l4_umword_t l4_vcpu_regs_t::di

rdi register

edi register

Definition at line 70 of file __vcpu-arch.h.

## dx

l4_umword_t l4_vcpu_regs_t::dx

rdx register

edx register

Definition at line 75 of file __vcpu-arch.h.

## si

l4_umword_t l4_vcpu_regs_t::si

rsi register

esi register

Definition at line 71 of file __vcpu-arch.h.

The documentation for this struct was generated from the following files:

- arm/l4/sys/__vcpu-arch.h
- amd64/l4/sys/__vcpu-arch.h
- x86/l4/sys/__vcpu-arch.h